org.apache.poi.hssf.record

## Class OldCellRecord

- java.lang.Object
- - org.apache.poi.hssf.record.OldCellRecord

- Direct Known Subclasses:
    OldFormulaRecord, OldLabelRecord

      public abstract class OldCellRecord
      extends java.lang.Object

  Base class for all old (Biff 2 - Biff 4) cell value records (implementors of `CellValueRecordInterface`). Subclasses are expected to manage the cell data values (of various types).

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `OldCellRecord(RecordInputStream in, boolean isBiff2)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract void` | `appendValueText(java.lang.StringBuilder sb)` Append specific debug info (used by `toString()` for the value contained in this record.
    `int` | `getCellAttrs()`
    `short` | `getColumn()`
    `protected abstract java.lang.String` | `getRecordName()` Gets the debug info BIFF record type name (used by `toString()`.
    `int` | `getRow()`
    `short` | `getSid()`
    `short` | `getXFIndex()` get the index to the ExtendedFormat, for non-Biff2
    `boolean` | `isBiff2()` Is this a Biff2 record, or newer?
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OldCellRecord

          protected OldCellRecord(RecordInputStream in,
                                  boolean isBiff2)

  - ### Method Detail

    - #### getRow

          public final int getRow()

    - #### getColumn

          public final short getColumn()

    - #### getXFIndex

          public final short getXFIndex()

      get the index to the ExtendedFormat, for non-Biff2
      Returns:
        index to the XF record
      See Also:
        `ExtendedFormatRecord`

    - #### getCellAttrs

          public int getCellAttrs()

    - #### isBiff2

          public boolean isBiff2()

      Is this a Biff2 record, or newer?
      Returns:
        true, if this is a Biff2 record or newer

    - #### getSid

          public short getSid()

    - #### toString

          public final java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### appendValueText

          protected abstract void appendValueText(java.lang.StringBuilder sb)

      Append specific debug info (used by `toString()` for the value contained in this record. Trailing new-line should not be appended (superclass does that).
      Parameters:
        `sb` - the StringBuilder to append to

    - #### getRecordName

          protected abstract java.lang.String getRecordName()

      Gets the debug info BIFF record type name (used by `toString()`.
      Returns:
        the debug info BIFF record type name

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.